#include<iostream>
#include<fstream>
#include<vector>
#include<sstream>
#include<cstdlib>
using namespace std;

#define MAX_N 20
int n, v, i;
int values[MAX_N], indents[MAX_N];

void quit(int score, const char* message) {
    cerr << message << "\n";
    cout << score << "\n";
    exit(0);
}

vector<int> children(int root) {
    vector<int> result;
    int child_idx = root+1;
    int root_level = indents[root];
    while (child_idx < n && indents[child_idx] > root_level) {
        if (indents[child_idx] == root_level+1) result.push_back(child_idx);
        child_idx++;
    }
    return result;
}

int validate_subtree(int root) {
    // Returns -1 if validation fails
    //cout << "Validating " << root << endl;
    
    vector<int> cs = children(root);
    /*cout << "Children: ";
    for (int i = 0; i < cs.size(); i++) cout << cs[i] << " ";
    cout << endl;*/
    
    if (cs.size() == 0) return values[root];
    
    int child_sum = 0;
    for (int i = 0; i < cs.size(); i++) {
        int subresult = validate_subtree(cs[i]);
        if (subresult < 0) return -1;
        else child_sum += subresult;
    }
    /*cout << "Child sum " << child_sum << endl;
    cout << "Expected " << values[root] << endl;*/
    if (child_sum == values[root]) return child_sum;
    else return -1;
}

int main(int argc, char ** args) {
	if(argc != 4) {
		cerr << "Invalid no. of arguments. Usage:\n" << args[0] << " [input file] [correct solution] [solution to test]\n";
		return 0;
	}
	
	ifstream in(args[1]), cor(args[2]), out(args[3]);
    
    // Read input file
	in >> n;
    for (i = 0; i < n; i++) in >> values[i];
    
    // Read output file
    i = 0;
    string s;
    while(!out.eof()) { 
        getline(out, s);
        if (s.empty()) break;
        else {
            if (i >= n) quit(0, "Output format error (N numbers expected in output)");
            istringstream tmp(s);
            tmp >> indents[i++];
        }
    }
    if (i != n) quit(0, "Output format error (N numbers in output expected)");
    
    // Validate indents
    if (indents[0] != 0) quit(0, "Wrong answer");
    for (i = 1; i < n; i++) {
        if (indents[i] <= 0) quit(0, "Wrong answer");
        if (indents[i] > indents[i-1]+1) quit(0, "Wrong answer");
    }
    
    /*for (int i = 0; i < n; i++) cout << values[i] << " ";
    cout << endl;
    for (int i = 0; i < n; i++) cout << indents[i] << " ";
    cout << endl;*/
    
    if (validate_subtree(0) >= 0) quit(1, "OK");
    else quit(0, "Wrong answer");
    
	return 0;
}



























